#pragma once
#include "Mod.h"

class SafeWalk : public Mod {
public:
	SafeWalk() : Mod(_("Safe Walk"), _("Prevents them from falling when walking"), Category::GHOST) {
		{
			sneakmovementsystem_tick_ = Utils::Memory::FindPattern(_("32 C0 41 88 41"));
		}

		enabled = false;
	}

private:
	bool patched = false;
	void* sneakmovementsystem_tick_;
	void* ogBytes[2] = { 0 };
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto onDisabled() -> void override;
};
